<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateProcessDailiesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * 加工单每日记录
     *
     * @return void
     */
    public function up()
    {
        Schema::create('process_dailies', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->bigInteger('process_id')->comment('外键二次加工单');
            $table->date('date')->index()->comment('日期');
            $table->integer('output')->comment('当日产量');
            $table->integer('remain')->comment('当日剩余');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('process_dailies');
    }
}
